qc2movie(1)

NAME
qc2movie - Quartz Composer export tool

SYNOPSIS
qc2movie inCompositionPath|repositoryCompositionIdentifier outMoviePath width height duration [--parameterKey1 value1 ...]

DESCRIPTION
qc2movie is a tool that exports a Quartz Composer composition into a QuickTime movie by adding a track containing this composition. It is the command line equivalent of exporting a composition for the Quartz Composer application to a QuickTime movie.

OPTIONS

inCompositionPath|repositoryCompositionIdentifier
    specifies which composition you want to export. Ar inCompositionPath is the path to the composition. Ar repositoryCompositionIdentifier is the identifier of a composition which lies in the Quartz Composer Repository.

outMoviePath
    specifies movie file path to which the composition will be exported to

width
    defines the width of the export movie

height
    defines the height of the export movie

duration
    defines the length of the export movie

[--parameterKey1 value1 ...]
    passes composition specific parameters through the command line tool to the composition

EXAMPLES

-To create a 10 second QuickTime movie containing a Quartz Composer track of the Particle System composition:
    qc2movie "/Developer/Examples/Quartz Composer Compositions/Particle Systems/Particle System.qtz" ~/example.mov 640 480 10

-To merge two video tracks (30s each) together using an image transition protocol abiding composition (Swing for example) in the Quartz Composer Repository (using its identifier: /swing):
    qc2movie /swing ~/merged-example.mov 640 480 60 --inputMoviePath1 ~/firstVideo.mov --inputMoviePath2 ~/secondVideo.mov --duration 2

-To apply an image filter protocol abiding composition to the video track of a movie:
    qc2movie /colorpencil ~/effect-example.mov 640 480 30 --input ~/Video.mov

SEE ALSO
pcastaction(1)